Subject: RE: [Disman] varbind offsets in alarm-mib-15

From: "Sharon Chisholm" <[email-masked]>
Date: Tue, 11 Nov 2003 14:37:13 -0500

Hi

The following is the proposed resolution to Randy-47. Assuming no objection,
this item will be considered closed conditional on the proposed edit being
done.

In section 3.6, replace

"The varbind reference approach taken in the Alarm MIB is that, for
   variables such as the alarmModelVarbindIndex, the first two
   obligatory varbinds of the InformRequest-PDU and SNMPv2-Trap-PDU are
   ignored, and the index aligns with the Trap-PDU and the SMI. In the
   case of linkDown, the first varbind would always be ifIndex."

With

"The varbind reference approach taken in the Alarm MIB is that, for
   variables such as the alarmModelVarbindIndex, the first two
   obligatory varbinds of the InformRequest-PDU and SNMPv2-Trap-PDU need
   to be considered so the index values of the Trap-PDU and the SMI need 
   be adjusted by two. In the
   case of linkDown, the third varbind would always be ifIndex."

In the description of alarmModelVarbindIndex replace

"        Note that the value of alarmModelVarbindIndex ignores
        the existence of the first two obligatory varbinds in
        the InformRequest-PDU and SNMPv2-Trap-PDU (sysUpTime.0
        and snmpTrapOID.0).  That is, a value of 1 refers to
        the first varbind after snmpTrapOID.0.

        If the incoming notification is instead an SNMPv1 Trap-PDU,
        then a value of 1 refers to the first varbind"

With

"       Note that the value of alarmModelVarbindIndex acknowledges
        the existence of the first two obligatory varbinds in
        the InformRequest-PDU and SNMPv2-Trap-PDU (sysUpTime.0
        and snmpTrapOID.0).  That is, a value of 2 refers to
        the snmpTrapOID.0.

        If the incoming notification is instead an SNMPv1 Trap-PDU,
        then an appropriate value for sysUpTime.0 or snmpTrapOID.0 
        shall be determined by using the rules in section 3.1 of [RFC3584]"

Also make any necessary changes to the examples in section 6.

Sharon

-----Original Message-----
From: Chisholm, Sharon [CAR:0S00:EXCH] 
Sent: Wednesday, October 22, 2003 8:40 AM
To: Disman (E-mail)
Subject: RE: [Disman] varbind offsets in alarm-mib-15

Hi

I think it is somewhat dubious to consider working group consensus as the
opinion of two people who reviewed the design long after working group last
call, but if no one else objects I guess we can change the design.

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Tuesday, October 21, 2003 8:30 PM
To: Disman (E-mail)
Cc: Bert Wijnen
Subject: Re: [Disman] varbind offsets in alarm-mib-15

Hi -

> From: "Sharon Chisholm" <[email-masked]>
> To: "Disman (E-mail)" <[email-masked]>
> Sent: Saturday, October 18, 2003 10:57 AM
> Subject: RE: [Disman] varbind offsets in alarm-mib-15
...

> Working group consensus was to translate from v1 traps to
> Notifications, which is what we did for storage. I've just looked at 
> the discussion in the archive.

I disagree (with your conclusion, not that you've looked at the archive :-)
The consensus was to use the RFC 2576 approach to normalizing the payload
into the SNMPv2 form.  Which SMI was used to define the PDU that arrived is
irrelevant, and may even be unknowable.  The first varbind in the PDU should
be number one.  To assign any other number to the first varbind in the PDU
would seem highly questionable, as it would seem highly questionable to
claim that any other varbind should be called number one.

> Subsequent discussion, and this is more from memory, talked about
> designing alarm models and discussed the fact that people would be 
> designing them off the SMI, not the bits on the wire so it might be 
> confusing to include the sysUptime and trap OID in the numbering. I 
> remember Dave Partain saying something along the lines that he didn't 
> care which way it was done so long as it was properly explained in the 
> ID. I proposed the method in the current draft and I don't remember 
> any objections.
...

Objections came from me and from Harrie Hazewinkel, whom I've quoted in
previous discussions.  This argument has been going on since  Spring of
2002. I've seen no significant support for the position Sharon has
advocated. As WG chair, I'm ruling that the consensus stands: the varbind
lists should be handled v2-style, so that index value one refers to the
first variable binding in the v2-formatted PDU.  If the PDU came from some
other protocol or mechanism, e.g., SNMPv1, then the RFC 2576 rules for
mapping it into an SNMPv2-style PDU apply.  If anyone thinks I have made
this ruling in error, on either process or technical grounds, the applicable
appeals process is described in RFC 2026 section 6.5.1.

Randy
Disman WG chair

---

From: "Sharon Chisholm" <[email-masked]>
Date: Tue, 11 Nov 2003 14:37:13 -0500

Hi

In section 3.6, replace

With

With

Sharon

-----Original Message-----
From: Chisholm, Sharon [CAR:0S00:EXCH] 
Sent: Wednesday, October 22, 2003 8:40 AM
To: Disman (E-mail)
Subject: RE: [Disman] varbind offsets in alarm-mib-15

Hi

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Tuesday, October 21, 2003 8:30 PM
To: Disman (E-mail)
Cc: Bert Wijnen
Subject: Re: [Disman] varbind offsets in alarm-mib-15

Hi -

...

...

Randy
Disman WG chair

---

From: Randy Presuhn <[email-masked]>
Date: Wed, 12 Nov 2003 09:48:58 -0600 (GMT-06:00)

Hi -

Looks ok to me.
Thanks!

Randy

-----Original Message-----
From: Sharon Chisholm <[email-masked]>
Sent: Nov 11, 2003 1:37 PM
To: "Disman (E-mail)" <[email-masked]>
Subject: RE: [Disman] varbind offsets in alarm-mib-15

Hi

In section 3.6, replace

With

With

Sharon

-----Original Message-----
From: Chisholm, Sharon [CAR:0S00:EXCH] 
Sent: Wednesday, October 22, 2003 8:40 AM
To: Disman (E-mail)
Subject: RE: [Disman] varbind offsets in alarm-mib-15

Hi

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Tuesday, October 21, 2003 8:30 PM
To: Disman (E-mail)
Cc: Bert Wijnen
Subject: Re: [Disman] varbind offsets in alarm-mib-15

Hi -

...

...

Randy
Disman WG chair

---

From: Randy Presuhn <[email-masked]>
Date: Wed, 12 Nov 2003 09:48:58 -0600 (GMT-06:00)

Hi -

Looks ok to me.
Thanks!

Randy

-----Original Message-----
From: Sharon Chisholm <[email-masked]>
Sent: Nov 11, 2003 1:37 PM
To: "Disman (E-mail)" <[email-masked]>
Subject: RE: [Disman] varbind offsets in alarm-mib-15

Hi

In section 3.6, replace

With

With

Sharon

-----Original Message-----
From: Chisholm, Sharon [CAR:0S00:EXCH] 
Sent: Wednesday, October 22, 2003 8:40 AM
To: Disman (E-mail)
Subject: RE: [Disman] varbind offsets in alarm-mib-15

Hi

Sharon

-----Original Message-----
From: Randy Presuhn [mailto:[email-masked]] 
Sent: Tuesday, October 21, 2003 8:30 PM
To: Disman (E-mail)
Cc: Bert Wijnen
Subject: Re: [Disman] varbind offsets in alarm-mib-15

Hi -

...

...

Randy
Disman WG chair